summaryrefslogtreecommitdiffstats
path: root/ruby/ruby2/ruby2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'ruby/ruby2/ruby2.SlackBuild')
-rw-r--r--ruby/ruby2/ruby2.SlackBuild14
1 files changed, 12 insertions, 2 deletions
diff --git a/ruby/ruby2/ruby2.SlackBuild b/ruby/ruby2/ruby2.SlackBuild
index 3783a32e7e..b9daa83ad2 100644
--- a/ruby/ruby2/ruby2.SlackBuild
+++ b/ruby/ruby2/ruby2.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ruby2
-VERSION=${VERSION:-2.0.0_p247}
+VERSION=${VERSION:-2.0.0_p353}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,6 +43,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# set any SLKCFLAGS here
if [ "$ARCH" = "i486" ]; then
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
@@ -55,9 +56,17 @@ fi
set -eu
+if [ ! $UID = 0 ]; then
+ cat << EOF
+This script must be run as root
+
+EOF
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $PKG
+cd $TMP
rm -rf $SRCNAM-$SRCVER
tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
cd $SRCNAM-$SRCVER
@@ -96,6 +105,7 @@ make install DESTDIR=$PKG
mv ri ri2
)
+# Install docs
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
BSDL COPYING* *GPL* ChangeLog LEGAL NEWS README* \